Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.registry
Class ExplorerMenuBuilder

    java.lang.Object
      de.grogra.pf.ui.registry.ExplorerMenuBuilder

All Implemented Interfaces:
  UITreePipeline.Transformer, Disposable, ObjectToBoolean

    public final class ExplorerMenuBuilder

extends java.lang.Object
implements UITreePipeline.Transformer, ObjectToBoolean

Constructor Summary
`ExplorerMenuBuilder()`

Method Summary
`void` | `dispose()`
`boolean` | `evaluateBoolean(java.lang.Object node)` Computes the value of this function at `x`.
`void` | `initialize(UITreePipeline pipeline)`
`boolean` | `isAffectedBy(javax.swing.tree.TreePath path)`
`void` | `transform(UITreePipeline.Node root)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExplorerMenuBuilder

    public ExplorerMenuBuilder()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### evaluateBoolean

    public boolean evaluateBoolean(java.lang.Object node)

  Description copied from interface: `ObjectToBoolean`
  Computes the value of this function at `x`.

  Specified by:
    `evaluateBoolean` in interface `ObjectToBoolean`
  Parameters:
    `node` - where the function is to be evaluated
  Returns:
    function value at `x`

### initialize

    public void initialize(UITreePipeline pipeline)

  Specified by:
    `initialize` in interface `UITreePipeline.Transformer`

### isAffectedBy

    public boolean isAffectedBy(javax.swing.tree.TreePath path)

  Specified by:
    `isAffectedBy` in interface `UITreePipeline.Transformer`

### transform

    public void transform(UITreePipeline.Node root)

  Specified by:
    `transform` in interface `UITreePipeline.Transformer`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD